Unofficial CSFloat API
API referenceBuying

Get matching buy orders

Returns aggregated buy orders compatible with a listing.

GET/listings/{listing_id}/buy-orders

Returns aggregated buy orders compatible with a listing. Results contain price, quantity, market name, and any hybrid item constraints.

Path Parameters

listing_id*string

Numeric identifier serialized as a string.

Match^\\d+$

Query Parameters

limit?integer
Range1 <= value
Default10

Response Body

application/json

curl -X GET "https://example.com/listings/string/buy-orders"
[  {    "market_hash_name": "string",    "price": 0,    "qty": 0,    "hybrid_properties": {      "min_float": 0,      "max_float": 0,      "paint_index": 0,      "paint_seeds": [        0      ],      "applied_stickers": [        {          "sId": 0        }      ],      "applied_keychains": [        {          "sId": 0        }      ],      "min_keychain_pattern": 0,      "max_keychain_pattern": 0    }  }]